Bug 148228 - Update devel/ccache to 3.0 release
Update devel/ccache to 3.0 release
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Emanuel Haupt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 12:10 UTC by Alex Dupre
Modified: 2010-07-31 11:52 UTC (History)
0 users

See Also:


Attachments
ccache.diff (11.12 KB, patch)
2010-06-29 12:10 UTC, Alex Dupre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre freebsd_committer 2010-06-29 12:10:06 UTC
Update ccache to 3.0 release:
- add LICENSE
- update compilers symlinks 
- update buildworld scripts
- suggest to run ccache --clear after upgrading from 2.4
- remove bundled MD4 substitution with base one (this could be reimplemented, but does anyone care?)
Comment 1 Mark Linimon freebsd_committer 2010-06-29 12:23:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ahze

Fix synopsis and assign.
Comment 2 Mark Linimon freebsd_committer 2010-07-26 01:24:18 UTC
Responsible Changed
From-To: ahze->freebsd-ports-bugs

Maintainer was reset. 

Note: there is also PR ports/146527.
Comment 3 Emanuel Haupt freebsd_committer 2010-07-26 16:28:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 4 dfilter freebsd_committer 2010-07-31 11:48:34 UTC
ehaupt      2010-07-31 10:48:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/ccache         Makefile distinfo 
    devel/ccache/files   world-c++.in world-cc.in 
  Removed files:
    devel/ccache/files   patch-ccache.1 patch-ccache.c 
                         patch-ccache.yo patch-md4 patch-util.c 
  Log:
  Update to 3.0.1
  
  PR:             148228, 146527
  Submitted by:   ale, Christer Edwards <christer.edwards@gmail.com>
  Reviewed by:    ports
  
  Revision  Changes    Path
  1.48      +10 -12    ports/devel/ccache/Makefile
  1.16      +3 -3      ports/devel/ccache/distinfo
  1.2       +0 -19     ports/devel/ccache/files/patch-ccache.1 (dead)
  1.3       +0 -17     ports/devel/ccache/files/patch-ccache.c (dead)
  1.2       +0 -14     ports/devel/ccache/files/patch-ccache.yo (dead)
  1.4       +0 -148    ports/devel/ccache/files/patch-md4 (dead)
  1.2       +0 -25     ports/devel/ccache/files/patch-util.c (dead)
  1.2       +1 -1      ports/devel/ccache/files/world-c++.in
  1.2       +1 -1      ports/devel/ccache/files/world-cc.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Emanuel Haupt freebsd_committer 2010-07-31 11:52:32 UTC
State Changed
From-To: open->closed

Committed, thanks!